Bug 1936589 - Cluster DNS service caps TTLs too low and thus evicts from its cache too aggressively
Summary: Cluster DNS service caps TTLs too low and thus evicts from its cache too aggr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Miciah Dashiel Butler Masters
QA Contact: jechen
URL:
Whiteboard:
Depends On: 1936587
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-08 19:32 UTC by OpenShift BugZilla Robot
Modified: 2021-05-20 08:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-20 19:27:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 246 0 None open [release-4.6] Bug 1936589: Set CoreDNS's cache's maximum TTL to 900 seconds 2021-03-09 19:36:30 UTC
Red Hat Knowledge Base (Solution) 5537961 0 None None None 2021-05-20 08:25:42 UTC
Red Hat Product Errata RHBA-2021:1153 0 None None None 2021-04-20 19:27:38 UTC

Comment 2 jechen 2021-03-24 12:22:19 UTC
Waiting for new build that has pull #246

Comment 3 jechen 2021-03-24 22:23:13 UTC
Verified with  4.6.0-0.nightly-2021-03-24-095127

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-03-24-095127   True        False         20m     Cluster version is 4.6.0-0.nightly-2021-03-24-095127


$ oc -n openshift-dns get configmaps/dns-default -o yaml
apiVersion: v1
data:
  Corefile: |
    .:5353 {
        errors
        health
        kubernetes cluster.local in-addr.arpa ip6.arpa {
            pods insecure
            upstream
            fallthrough in-addr.arpa ip6.arpa
        }
        prometheus :9153
        forward . /etc/resolv.conf {
            policy sequential
        }
        cache 900         <--- verified the fix with https://github.com/openshift/cluster-dns-operator/pull/246
        reload
    }

Comment 9 errata-xmlrpc 2021-04-20 19:27:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.25 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1153


Note You need to log in before you can comment on or make changes to this bug.